version: '3.6'
services:
    node:
        environment:
            - NODE_ENV=production
            - BASE_URL_API=https://api.yokode.dev/api
            - BASE_URL_API_PRISMA=https://prisma.yokode.dev
        command: npm run deploy
    nginx:
        networks:
            - default
        labels:
            - traefik.http.routers.prod.rule=Host(`yokode.dev`, `www.yokode.dev`)
            - traefik.http.middlewares.prod-redirect.redirectregex.regex=^https?://yokode.dev/(.*)
            - traefik.http.middlewares.prod-redirect.redirectregex.replacement=https://www.yokode.dev/$${1}
            - traefik.http.middlewares.prod-redirect.redirectregex.permanent=true
            - traefik.http.routers.prod.middlewares=prod-redirect
networks:
    default:
        external:
            name: gateway